services:
  advert_broadcast.exist_filter:
    parent: 'api_platform.doctrine.orm.exists_filter'
    arguments: [ { broadcastOrder: ~ , startedAt: ~, endedAt: ~ } ]
    tags: [ 'api_platform.filter' ]
  advert_broadcast.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', advert: 'exact' } ]
    tags: [ 'api_platform.filter' ]
  advert_broadcast.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, advert: ~, createdAt: ~, updatedAt: ~, state: ~, startedAt: ~, endedAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]